<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1TableUtilities.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpenSim::TableUtilities Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classOpenSim_1_1TableUtilities.html">OpenSim::TableUtilities</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html#a90448049b1bf93e347a773786ec4b581">checkNonUniqueLabels</a>(std::vector&lt; std::string &gt; labels)</td><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html">OpenSim::TableUtilities</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html#aecdf93d58e48bc217af51b008e9512a2">convertRotationsToEulerAngles</a>(const TimeSeriesTable_&lt; SimTK::Rotation &gt; &amp;rotTable)</td><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html">OpenSim::TableUtilities</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html#aed768eeb9c2d6111e7d5defcff766fc2">filterLowpass</a>(TimeSeriesTable &amp;table, double cutoffFreq, bool padData=false)</td><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html">OpenSim::TableUtilities</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html#a7d239e2f8fee1d9a7d5ecec02d056b0a">findStateLabelIndex</a>(const Array&lt; std::string &gt; &amp;labels, const std::string &amp;desired)</td><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html">OpenSim::TableUtilities</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html#a2831577f6e72f62b5d1400b00a4aa8ef">findStateLabelIndex</a>(const std::vector&lt; std::string &gt; &amp;labels, const std::string &amp;desired)</td><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html">OpenSim::TableUtilities</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html#a2bddb847372a70fef02da0f6e8b50504">isInDegrees</a>(const TimeSeriesTable &amp;table)</td><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html">OpenSim::TableUtilities</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html#a4c3536893b938c4cefca14f3a9bc2ec7">pad</a>(TimeSeriesTable &amp;table, int numRowsToPrependAndAppend)</td><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html">OpenSim::TableUtilities</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html#a77a7796781eb7669f278f51dd0cac639">resample</a>(const TimeSeriesTable &amp;in, const TimeVector &amp;newTime)</td><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html">OpenSim::TableUtilities</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html#a0f7642aa28e8b10ed1e565d0cadaf0a0">resampleWithInterval</a>(const TimeSeriesTable &amp;in, double interval)</td><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html">OpenSim::TableUtilities</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html#add0d66363fbba3bc8a9845904a09f1d6">resampleWithIntervalBounded</a>(const TimeSeriesTable &amp;in, double interval)</td><td class="entry"><a class="el" href="classOpenSim_1_1TableUtilities.html">OpenSim::TableUtilities</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:31 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
